Lightspeed OnSite Downloads

Lightspeed OnSite 2019 1.0.2 Demo

Test drive Lightspeed OnSite 2019 1.0.2 for 30 days

The Lightspeed OnSite Demo database is fully enabled for 5 users. The Lightspeed OnSite Demo is identical to the licensed version, however, the Company Setup panel, Users Setup Panel, and PDF Print Background Setup Panel for the example company 'Space' cannot be modified. macOS High Sierra 10.13 or macOS Mojave 10.14 required.

mac

Lightspeed OnSite 2019 1.0.2 for Licensed Users

Before you upgrade your macOS to 10.14 (Mojave)

Please be advised that macOS 10.14 (Mojave) is only compatible with Lightspeed OnSite version 2019 1.0.0 and later. We recommend upgrading Lightspeed OnSite to at least 2018 3.0.3 before updating your operating system to macOS 10.14 (Mojave). If you are on a previous version of Lightspeed OnSite and would like to update to macOS 10.14 (Mojave), we recommend updating your operating system and Lightspeed OnSite as follows:
  1. Ensure macOS is updated to 10.12 (Sierra).
  2. Upgrade Lightspeed OnSite to 2018.3.0.3.
  3. Update macOS to 10.14 (Mojave).
  4. Upgrade Lightspeed to 2019.1 or later

Important Notes

Before you begin your upgrade, please review the following notes:
  • Please allow sufficient time for a complete backup of your database during the server update process, as well as additional time for the server migration "starting" phase.
  • If you are running macOS 10.12 (Sierra): You must be using OnSite 2016 1.0.7 or later in order to receive support.
Notes for those using older versions of Lightspeed OnSite
  • If you are running Lightspeed OnSite 2018.3.0.2 or lower: We recommend scheduling approximately double the time it normally takes to do a full backup.
    • If you are running Lightspeed OnSite 2016.1.3.3 or lower: You must first be running 2016 1.3.4 or newer before upgrading to the latest OnSite.  Please upgrade to Lightspeed OnSite 2016.1.3.4 before continuing.
    • If you are running Lightspeed OnSite 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video.
    • If you are running Lightspeed OnSite 3.7 or higher: The installer will backup Lightspeed OnSite for you when you run the upgrade.
    • If you are running Lightspeed OnSite 3.5–3.6.8: Perform a manual backup of Lightspeed OnSite from Tools > Utilities > Backup Database.
    Notes for Webstore and eCom Customers
    • If you are an existing Lightspeed eCom customer upgrading from Lightspeed OnSite 2016.1 or earlier, please read this information before upgrading.
    • As of OnSite version 2019.1 and later, the Magento and Webstore connectors have been removed as they are no longer supported. If you wish to continue using the connector, please do not upgrade to the latest version. If you wish to upgrade to the latest version of OnSite, we encourage you to speak with our Sales team about Lightspeed eCom.

    Upgrade Instructions:

    1. Log all users out.
    2. Open the installer and double-click the Lightspeed OnSite Server icon.
    3. Double-click the Install Lightspeed OnSite Server icon.
    4. Follow the on-screen steps in the installer window.
    5. When the installer is finished, launch the Lightspeed OnSite application and log in as you normally would.

    Close

    Warning

    Do not upgrade your installation to Lightspeed OnSite 2019 1.0.2 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime: NOTE: OnSite has simplified to a YYYY.release version scheme; e.g. 2018.1 is the first release in 2018. We previously updated how we version OnSite releases after version 3.9.8. All OnSite releases after version 3.9.8 include the year the version was released in the version number (for example, 2015 2.3.3); therefore, it is important to note that 2015 2.3.3 is newer than 3.5.

    • You must have a valid Maintenance Plan as of October 17, 2018.

    • You must be currently running Lightspeed 2016 1.3.4 or above.
    • You must be running macOS 10.13 or higher.

    Lightspeed OnSite 2019 1.0.2 supports Lightspeed OnSite for iPad 1.3 (or later). Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

    Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

    Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

    If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2019 1.0.2 upgrade.

    Upgrade to OnSite 2019 1.0.2
    SHA1 Checksum

    9a50e880ff06d04aea216a072c48c272675a6cdf

    Download Client SHA1 Checksum

    9f07b4a77cf27adb58483d51345824f34491cbf0

    Release Notes

    Archive

    • Lightspeed OnSite 2018 3.0.3

      Upgrade requires a Maintenance Plan valid on July 20th, 2018

      IMPORTANT: If you are an existing eCommerce customer, please read this information before upgrading.

      Please allot sufficient time for a complete backup of your database during the server update process, as well as additional time for the server migration “starting” phase.  You must first be running 2016 1.3.4 or newer before upgrading to the latest OnSite. We recommend scheduling approximately double the time it normally takes to do a full backupUpgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite from Tools > Utilities > Backup Database.
      2. Log out all users.
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer is finished, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video.

      Important macOS Sierra support:  If you are running macOS Sierra you must be using OnSite 2016 1.0.7 or later in order to receive support. If you have not upgraded to macOS Sierra, the latest version will be supported.

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2018 3.0.3 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      NOTE: OnSite has simplified to a YYYY.release version scheme; e.g. 2018.1 is the first release in 2018. We previously updated how we version OnSite releases after version 3.9.8. All OnSite releases after version 3.9.8 include the year the version was released in the version number (for example, 2015 2.3.3); therefore, it is important to note that 2015 2.3.3 is newer than 3.5.

      • You must have a valid Maintenance Plan as of July 20th, 2018.


      • You must be currently running Lightspeed 2016 1.3.4 or above.

      • You must be running macOS 10.12 or higher.

      Lightspeed OnSite 2018 3.0.0 supports Lightspeed OnSite for iPad 1.3 (or later). Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2018 3.0.3 upgrade.

      Download
      SHA1 Checksum

      d884282604eb8c1851300afad131440c9e56c89b

      Download Client SHA1 Checksum

      9624f2a1a1e396328f3f0850b44e03db0c60a23e

      Release Notes
    • Lightspeed OnSite 2018 2.0.2

      Upgrade requires a Maintenance Plan valid on April 15, 2018

       

      IMPORTANT:

      If you are an existing eCommerce customer, please read this information before upgrading

      Please allot sufficient time for a complete backup of your database during the server update process, as well as additional time for the server migration “starting” phase. We recommend scheduling approximately double the time it normally takes to do a full backup.

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video.

      Important macOS Sierra support:  If you are running macOS Sierra you must be using OnSite 2016 1.0.7 or later in order to receive support. If you have not upgraded to macOS Sierra, the latest version will be supported.

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2018 2.0.2 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      NOTE: OnSite has simplified to a YYYY.release version scheme; e.g. 2018.1 is the first release in 2018. We previously updated how we version OnSite releases after version 3.9.8. All OnSite releases after version 3.9.8 include the year the version was released in the version number (for example, 2015 2.3.3); therefore, it is important to note that 2015 2.3.3 is newer than 3.5.

      • You must have a valid Maintenance Plan as of April 15, 2018.


      • You must be currently running Lightspeed 2016 1.3.4 or above.

      • You must be running macOS 10.12 or higher.

      Lightspeed OnSite 2018 2.0.2 supports Lightspeed OnSite for iPad 1.3 (or later). Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2018 2.0.2 upgrade.

      Download
      SHA1 Checksum

      6c75f6f7ff58d556ebccc395d8fdf4eb70f10638

      Download Client SHA1 Checksum

      1b0966b091e1209851d7d8fff114f336b93e7b10

      Release Notes
    • Lightspeed OnSite 2016 1.3.4

      Upgrade requires a Maintenance Plan valid on September 13th, 2017

      IMPORTANT:

      If you are an existing eCommerce customer, please read this information before upgrading

      Please allot sufficient time for a complete backup of your database during the server update process, as well as additional time for the server migration “starting” phase. We recommend scheduling approximately double the time it normally takes to do a full backup.

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video.

      Important macOS Sierra support:  If you are running macOS Sierra you must be using OnSite 2016 1.0.7 or later in order to receive support. If you have not upgraded to macOS Sierra, the latest version will be supported.

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2016 1.3 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      NOTE: We changed how we version OnSite releases after version 3.9.8. All OnSite releases after version 3.9.8 include the year the version was released in the version number (for example, 2015 2.3.3); therefore, it is important to note that 2015 2.3.3 is newer than 3.5.

      • You must have a valid Maintenance Plan as of September 13th, 2017.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running macOS 10.10 or higher.

      Lightspeed OnSite 2016 1.0.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2016 1.3 upgrade.

      Download
      SHA1 Checksum

      a84231f6e3e50b142251ef2a8710d0dc41e74afa

      Download Client SHA1 Checksum

      671e05066944ffa0aec1fd7bccd6f539e428a88e

      Release Notes
    • Lightspeed OnSite 2016 1.2.3

      Upgrade requires a Maintenance Plan valid on April 24th, 2017

      IMPORTANT: If you are an existing eCommerce customer, please read this information before upgrading

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video.

      Important macOS Sierra support:  If you are running macOS Sierra you must be using OnSite 2016 1.0.7 or later in order to receive support. If you have not upgraded to macOS Sierra, the latest version will be supported.

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2016 1.2 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      NOTE: We changed how we version OnSite releases after version 3.9.8. All OnSite releases after version 3.9.8 include the year the version was released in the version number (for example, 2015 2.3.3); therefore, it is important to note that 2015 2.3.3 is newer than 3.5.

      • You must have a valid Maintenance Plan as of April 24th, 2017.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running macOS 10.10 or higher.

      Lightspeed OnSite 2016 1.0.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2016 1.2 upgrade.

      Download
      SHA1 Checksum

      2962b59ff485dbfe1e1874a5ae06de50b813548f

      Download Client SHA1 Checksum

      4fb0e4547fa39affbe2a653cbe8e52e1ec35c351

      Release Notes
    • Lightspeed OnSite 2016 1.0.3

      Upgrade requires a Maintenance Plan valid on August 10th, 2016

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video.

      Important El Capitan Support:  If you are running El Capitan you must be using OnSite 2015 2.3 or later in order to receive support. If you have not upgraded to El Capitan, your latest version will be supported.

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2016 1.0.0 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of August 10th, 2016.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.10 or OS X 10.11 (macOS Sierra is not supported at this time).

      Lightspeed OnSite 2016 1.0.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2016 1.0.0 upgrade.

      Download
      SHA1 Checksum

      0cd5057def225e84a81381928a9afd606ecdbd31

      Download Client SHA1 Checksum

      3557850356ad674d242aac40c042fc63323aa833

      Release Notes
    • Lightspeed OnSite 2015 2.3.3

      Upgrade requires a Maintenance Plan valid on October 29th, 2015

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2015 2.3.3 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of October 29, 2015.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.8 or higher.

      Lightspeed OnSite 2015 2.3.3 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2015 2.3.3 upgrade.

      Download
      Download Client Release Notes
    • Lightspeed OnSite 2015 2.2.7

      Upgrade requires a Maintenance Plan valid on July 29th, 2015

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2015 2.2.0 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of July 29th, 2015.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.8 or higher.

      Lightspeed OnSite 2015 2.2.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2015 2.2.0 upgrade.

      Download
      Download Client Release Notes
    • Lightspeed OnSite 2015 2.1.2

      Upgrade requires a Maintenance Plan valid on May 19th, 2015

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2015 2.1.0 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of May 19th, 2015.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.8 or higher.

      Lightspeed OnSite 2015 2.1.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2015 2.1.0 upgrade.

      Download
      Download Client Release Notes
    • Lightspeed OnSite 2015 2.0.1

      Upgrade requires a Maintenance Plan valid on February 18th, 2015

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2015 2.0.0 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of February 18th, 2015.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.8 or higher.

      Lightspeed OnSite 2015 2.0.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2015 2.0.0 upgrade.

      Download
      Download Client Release Notes
    • Lightspeed OnSite 2015 1.2.0

      Upgrade requires a Maintenance Plan valid on November 20, 2014

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2015 1.2.0 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of November 20, 2014.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.8 or higher.

      Lightspeed OnSite 2015 1.0.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2015 1.0.0 upgrade.

      Download
      Download Client Release Notes
    • Lightspeed OnSite 2015 1.1.0

      Upgrade requires a Maintenance Plan valid on November 4th, 2014

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2015 1.1.0 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of November 4th, 2014.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.8 or higher.

      Lightspeed OnSite 2015 1.1.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2015 1.1.0 upgrade.

      Download
      Download Client Release Notes
    • Lightspeed OnSite 2015 1.0.0

      Upgrade requires a Maintenance Plan valid on October 20th, 2014

      Upgrade Instructions:

      1. If you are running Lightspeed OnSite 3.7 or higher, the installer will backup Lightspeed OnSite for you when you run the upgrade. If you are running Lightspeed OnSite 3.5–3.6.8, perform a manual backup of Lightspeed OnSite at Tools > Utilities > Backup Database.
      2. Log out all users
      3. Open the installer and double-click the Lightspeed OnSite Server icon. Double-click the Install Lightspeed OnSite Server icon. Follow the on-screen steps in the installer window.
      4. When the installer has completed, launch the Lightspeed OnSite application and log in as you normally would.

      Note for users upgrading from 3.7.6 or lower: Due to technology changes, Smart Finds and Trackers cannot be migrated during the upgrade process. Your Smart Finds and Trackers have been exported and you can re-create them by following this video

      Close

      WARNING

      Do not upgrade your installation to Lightspeed OnSite 2015 1.0.0 if any of the following criteria are not met, as proceeding may result in potential data loss or loss of uptime:

      • You must have a valid Maintenance Plan as of October 20th, 2014.

      • You must be currently running Lightspeed 3.5 or above.

      • You must be running OS X 10.8 or higher.

      Lightspeed OnSite 2015 1.0.0 supports Lightspeed OnSite for iPad 1.3 (or later) and Lightspeed OnSite Mobile 1.7. Please upgrade your mobile devices after upgrading Lightspeed OnSite for Mac.

      Remember to run a manual backup (Tools > Utilities > Backup Database) if you are currently running 3.6.8. or lower.

      Users currently running Lightspeed OnSite 3.6.8 or lower who have purchased the On-Target Reports (OTR) add-on module are advised to contact their OTR developer prior to upgrading. Custom reports developed using OTR will need to be re-created in Lightspeed OnSite 3.9.8

      If you have any questions or are unsure about whether you meet the requirements, please contact Lightspeed Support before moving forward with the OnSite 2015 1.0.0 upgrade.

      Download
      Download Client Release Notes